Freeciv-3.1: diplomat_dialog Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
diplomat_dialog Struct Reference

## Data Fields

int | actor_unit_id
int | target_ids [ATK_COUNT]
int | sub_target_id [ASTK_COUNT]
action_id | act_id
struct advanced_dialog * | pdialog

## Detailed Description

Definition at line 53 of file action_dialog.c.

## Field Documentation

## ◆ act_id

action_id diplomat_dialog::act_id

Definition at line 57 of file action_dialog.c.

Referenced by spy_steal_callback(), spy_steal_esc_popup(), spy_steal_popup(), and spy_steal_popup_shared().

## ◆ actor_unit_id

int diplomat_dialog::actor_unit_id

Definition at line 54 of file action_dialog.c.

Referenced by action_selection_actor_unit(), diplomat_bribe_callback(), diplomat_incite_callback(), exit_spy_tgt_dlg_callback(), found_city_callback(), popdown_diplomat_dialog(), popup_action_selection(), popup_sabotage_dialog(), simple_action_callback(), spy_incite_callback(), spy_sabotage_esc_request(), spy_sabotage_request(), spy_steal_callback(), spy_steal_popup_shared(), spy_strike_bld_request(), and upgrade_callback().

## ◆ pdialog

struct advanced_dialog* diplomat_dialog::pdialog

Definition at line 58 of file action_dialog.c.

Referenced by diplomat_dlg_window_callback(), popdown_diplomat_dialog(), popup_action_selection(), popup_sabotage_dialog(), spy_steal_dlg_window_callback(), and spy_steal_popup_shared().

## ◆ sub_target_id

int diplomat_dialog::sub_target_id[ASTK_COUNT]

Definition at line 56 of file action_dialog.c.

Referenced by action_selection_target_extra(), popup_action_selection(), and simple_action_callback().

## ◆ target_ids

int diplomat_dialog::target_ids[ATK_COUNT]

Definition at line 55 of file action_dialog.c.

Referenced by action_selection_target_city(), action_selection_target_tile(), action_selection_target_unit(), diplomat_bribe_callback(), diplomat_incite_callback(), popup_action_selection(), popup_sabotage_dialog(), simple_action_callback(), spy_incite_callback(), spy_sabotage_esc_request(), spy_sabotage_request(), spy_steal_callback(), spy_steal_popup_shared(), spy_strike_bld_request(), and upgrade_callback().